uniform sampler2D myTexture0;
uniform float ambientLightEnabled;

varying float attPlayer;

void main()
{
	vec4 sceneLight = ((gl_FrontLightModelProduct.sceneColor * gl_FrontMaterial.ambient) + 
		(gl_LightSource[0].ambient * gl_FrontMaterial.ambient))*ambientLightEnabled;
	
	vec4 playerLight = 
	(gl_FrontLightModelProduct.sceneColor * gl_FrontMaterial.ambient) + 
	(gl_LightSource[1].ambient * gl_FrontMaterial.ambient)*attPlayer;
	
	vec4 light = sceneLight+playerLight;
	
	light.r = min(1.0, light.r);
	light.g = min(1.0, light.g);
	light.b = min(1.0, light.b);

	vec4 color = texture2D(myTexture0, gl_TexCoord[0].st);
	
	float alpha = color.a;
	vec3 fragColor = vec3(color*light);
		
	gl_FragColor = vec4(fragColor, alpha);
}
