uniform sampler2D myTexture0;

varying float attPlayer;
varying vec3 vVertex;

void computeLight()
{
	vec3 lightDirPlayer = vec3(gl_LightSource[1].position.xyz - vVertex);
	
	float dPlayer = length(lightDirPlayer);
	
	attPlayer = 1.0 / ( gl_LightSource[1].constantAttenuation + 
	(gl_LightSource[1].linearAttenuation*dPlayer) + 
	(gl_LightSource[1].quadraticAttenuation*dPlayer*dPlayer) );
}

void main(void)
{
	gl_TexCoord[0] = gl_MultiTexCoord0;

	vVertex = vec3(gl_ModelViewMatrix * gl_Vertex);

	computeLight();
	
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
}