varying float v;
varying float fogFactor; 
uniform float fogEnabled;
varying float xcoord,ycoord,zcoord, attPlayer;
varying vec3 vVertex;

void computeLight()
{
	vec3 lightDirPlayer = vec3(gl_LightSource[1].position.xyz - vVertex);
	
	float dPlayer = length(lightDirPlayer);
	
	attPlayer = 1.0 / ( gl_LightSource[1].constantAttenuation + 
	(gl_LightSource[1].linearAttenuation*dPlayer) + 
	(gl_LightSource[1].quadraticAttenuation*dPlayer*dPlayer) );
}

void main ()
{
	vVertex = vec3(gl_ModelViewMatrix * gl_Vertex);

	computeLight();
	
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;	
	
	//Texture Coordinates
	xcoord = gl_Vertex.x;
	zcoord = gl_Vertex.z;
	ycoord = gl_Vertex.y ;
	
	// projection1. y is largest normal component
	// so use x and z to sample texture
	 gl_TexCoord[0] = vec4(xcoord*8.0,zcoord*8.0,0.0,0.0); //first projection
	// projection2. x is largest normal component
	// so use z and y to sample texture
	 gl_TexCoord[1] = vec4(zcoord*8.0,ycoord*8.0,0.0,0.0); //second projection
	// projection3. z is largest normal component
	// so use x and y to sample texture
	 gl_TexCoord[2] = vec4(xcoord*8.0,ycoord*8.0,0.0,0.0); //third projection
	
	float x = abs(gl_Normal.x);
	float y = abs(gl_Normal.y);
	float z = abs(gl_Normal.z);
	
	v = 0.0;
	if(x > y && x > z || x == z && x > y)
	{
		v = 1.0;
	}
	if(z > y && z > x)
	{
		v = -1.0;
	} 
			
	gl_Position = ftransform();
	
	
	
	if(fogEnabled == 1.0)
	{
		gl_FogFragCoord = sqrt(length(vVertex));
		fogFactor = exp( -gl_Fog.density * 
						   gl_Fog.density * 
						   gl_FogFragCoord * 
						   gl_FogFragCoord * 
						   1.442695 );
		fogFactor = clamp(fogFactor, 0.0, 1.0);
	}
}
